using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using ProjetDotNet.metier;
using ProjetDotNet.web;

namespace ProjetDotNet.COR
{
    /*
     * Gère la chaine de responsabilité
     */
    public abstract class CORChargerForme:IChargerForme
    {
        private CORChargerForme suivant;
        private SingletonConnexion connexion = SingletonConnexion.getInstance();


        public CORChargerForme(CORChargerForme suivant)
        {
            this.suivant = suivant;
        }

        public CORChargerForme()
        {
            this.suivant = null;
        }

        public SingletonConnexion CONNEXION
        {
            get
            {
                return this.connexion;
            }

        }

       
        public void SetSuccessor(CORChargerForme suivant)
        {
            this.suivant = suivant;
        }

        public CORChargerForme GetSuccessor()
        {
            return this.suivant;
        }

        /*
         * retourne la forme charger s'il s'agit du type de forme à charger sinon retourne null
         */
       /* public abstract Forme charge(int id);*/
        public abstract Forme charge(int id,string nomForme);
    }
}
